org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexCacheVisitorImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaIndexCacheVisitorImpl

All Implemented Interfaces:
  SchemaIndexCacheVisitor

    public class SchemaIndexCacheVisitorImpl
    extends Object
    implements SchemaIndexCacheVisitor

Traversor operating all primary and backup partitions of given cache.

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCacheVisitorImpl(GridCacheContext cctx)` Constructor.
`SchemaIndexCacheVisitorImpl(GridCacheContext cctx, SchemaIndexCacheFilter rowFilter, SchemaIndexOperationCancellationToken cancel, int parallelism)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`void` `visit(SchemaIndexCacheVisitorClosure clo)` Visit cache entries and pass them to closure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexCacheVisitorImpl

    public SchemaIndexCacheVisitorImpl(GridCacheContext cctx)

Constructor.

Parameters:
  `cctx` - Cache context.

#### SchemaIndexCacheVisitorImpl

    public SchemaIndexCacheVisitorImpl(GridCacheContext cctx,
                                       SchemaIndexCacheFilter rowFilter,
                                       SchemaIndexOperationCancellationToken cancel,
                                       int parallelism)

Constructor.

Parameters:
  `cctx` - Cache context.
  `rowFilter` - Row filter.
  `cancel` - Cancellation token.
  `parallelism` - Degree of parallelism.

### Method Detail

#### visit

    public void visit(SchemaIndexCacheVisitorClosure clo)
               throws IgniteCheckedException

Visit cache entries and pass them to closure.

Specified by:
  `visit` in interface `SchemaIndexCacheVisitor`
Parameters:
  `clo` - Closure.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018